Package org.eclipse.graphiti.ui.internal.parts

## Class ContainerShapeEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.graphiti.ui.platform.GraphitiShapeEditPart
      - - org.eclipse.graphiti.ui.internal.parts.ShapeEditPart
        - - org.eclipse.graphiti.ui.internal.parts.ContainerShapeEditPart

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.NodeEditPart`, `org.eclipse.gef.RequestConstants`, `IFeatureProviderHolder`, `IConfigurationProviderHolder`, `IAnchorContainerEditPart`, `IContainerShapeEditPart`, `IPictogramElementEditPart`, `IShapeEditPart`

Direct Known Subclasses:
  `DiagramEditPart`

    public class ContainerShapeEditPart
    extends ShapeEditPart
    implements IContainerShapeEditPart

A GraphicalEditPart, which model is of the type ContainerShape.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

### Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

### Field Summary

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`ContainerShapeEditPart​(IConfigurationProviderInternal configurationProvider, ContainerShape containerShape)` Creates a new ContainerShapeEditPart.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addChildVisual​(org.eclipse.gef.EditPart childEditPart, int index)`
`protected void` `createEditPolicies()` Creates the EditPolicies of this EditPart.
`protected org.eclipse.draw2d.IFigure` `createFigure()` Creates the Figure of this editpart.
`java.lang.Object` `getAdapter​(java.lang.Class adapter)`
`org.eclipse.draw2d.IFigure` `getContentPane()`
`java.util.List<PictogramElement>` `getModelChildren()` Returns the children of this EditPart.

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ShapeEditPart

`activate, deactivate, delayDirectEditing, deleteChildAndRefresh, getConfigurationProvider, getDragTracker, getFeatureProvider, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate, getRoot, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, isSelectable, performRequest, refresh, refreshChildren, refreshDecorators, refreshVisuals, showSourceFeedback, switchToDirectEditingMode, toString`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IShapeEditPart

`deleteChildAndRefresh`

### Constructor Detail

#### ContainerShapeEditPart

    public ContainerShapeEditPart​(IConfigurationProviderInternal configurationProvider,
                                  ContainerShape containerShape)

Creates a new ContainerShapeEditPart.

Parameters:
  `configurationProvider` - the configuration provider
  `containerShape` - the container shape

### Method Detail

#### createEditPolicies

    protected void createEditPolicies()

Creates the EditPolicies of this EditPart. Subclasses often overwrite this method to change the behaviour of the editpart. This implementation adds the layout-specific EditPolicy to the super-implementation.

Overrides:
  `createEditPolicies` in class `ShapeEditPart`
See Also:
  `ShapeEditPart`

#### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

Creates the Figure of this editpart. This determines how the editpart will be displayed. The actual data for this figure should be provided in refreshVisuals().

Overrides:
  `createFigure` in class `ShapeEditPart`
Returns:
  the i figure
See Also:
  `AbstractGraphicalEditPart.createFigure()`

#### getModelChildren

    public java.util.List<PictogramElement> getModelChildren()

Returns the children of this EditPart.

Specified by:
  `getModelChildren` in interface `IPictogramElementEditPart`
Overrides:
  `getModelChildren` in class `ShapeEditPart`
Returns:
  the model children
See Also:
  `AbstractEditPart.getModelChildren()`

#### addChildVisual

    protected void addChildVisual​(org.eclipse.gef.EditPart childEditPart,
                                  int index)

Overrides:
  `addChildVisual` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

#### getAdapter

    public java.lang.Object getAdapter​(java.lang.Class adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `ShapeEditPart`

#### getContentPane

    public org.eclipse.draw2d.IFigure getContentPane()

Specified by:
  `getContentPane` in interface `org.eclipse.gef.GraphicalEditPart`
Overrides:
  `getContentPane` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`